Subject: Re: [PATCH] mlx4: Add support for EEH error recovery

From: Kleber Sacilotto de Souza <[email-masked]>
Date: Tue, 24 Jul 2012 10:12:14 -0300

On 07/23/2012 06:26 PM, Or Gerlitz wrote:

> Kleber Sacilotto de Souza <[email-masked]> wrote:
>>> For powerpc we have an IBM internal user space tool that injects the
>>> error on the bus with the aid of the system firmware. The kernel used
>>> was built with the option:
>>> CONFIG_EEH=y
>>> and without the AER options. I will run some more tests with the AER
>>> options activated.
> 
>> I tested the powerpc error injection with
>>
>> CONFIG_EEH=y
>> CONFIG_PCIEAER=y
>> CONFIG_PCIEAER_INJECT=m
>>
>> and with the aer_inject module loaded and it didn't affect the EEH
>> recovery, the adapter recovered as expected.
> 
> I wasn't sure to follow what did you mean by "it didn't affect the EEH
> recovery", how did you use the aer_inject module, is that through
> user-space tool which is available for us?

I wanted to say that I was testing before only with the EEH option
activated, then I activated the AER options on my powerpc system just to
make sure these options when activate wouldn't affect the EEH recovery.
I haven't injected and AER error since I don't have a system with
hardware support for it.

Thanks,
-- 
Kleber Sacilotto de Souza
IBM Linux Technology Center